#!/usr/bin/env node
/*
Copyright (C) 2021 Yarmo Mackenbach

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU Affero General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option)
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
details.

You should have received a copy of the GNU Affero General Public License along
with this program. If not, see <https://www.gnu.org/licenses/>.

Also add information on how to contact you by electronic and paper mail.

If your software can interact with users remotely through a computer network,
you should also make sure that it provides a way for users to get its source.
For example, if your program is a web application, its interface could display
a "Source" link that leads users to an archive of the code. There are many
ways you could offer source, and different solutions will be better for different
programs; see section 13 for the specific requirements.

You should also get your employer (if you work as a programmer) or school,
if any, to sign a "copyright disclaimer" for the program, if necessary. For
more information on this, and how to apply and follow the GNU AGPL, see <https://www.gnu.org/licenses/>.
*/
const yargs = require('yargs')
const doip = require('doipjs')
const commands = require('./commands')

yargs
  .scriptName('keyoxide')
  .usage('$0 <cmd> [args]')
  .command(
    'verify [uri]',
    'verify the claims of a key',
    (yargs) => {
      yargs.positional('uri', {
        type: 'string',
        default: '',
        describe: 'the URI to the key to verify',
      })
    },
    commands.verifyUri
  )
  .count('verbose')
  .alias('v', 'verbose')
  .help().argv

if (yargs.argv._.length == 0) {
  yargs.showHelp()
}
